% minPosterior.m
% 
% Minimises posterior_hess.m for getting the Hessian

clear all

global Zobs;

warning off;

usdata;
  
x0 = [100*0.007  % sig_r  
      100*0.01   % sig_a 
      100*0.0018 % sig_e
      100*0.0004 % sig_z
      100*0.0004 % sig_target
      100*0.001  % sig_eta
      1          % mu
      .8         % rho_r
      .3         % rho_pi
      .2         % rho_g
      .5         % rho_pi2
      .1         % rho_g2
      .95        % rho_a
      .75        % rho_e
      .75        % rho_eta
      .80        % rho_target
      100*.004   % g_ss
      100*.015   % ppi_ss
      100*.010]; % ppi_ss2

  
num_para = length(x0);  
  
x_order = [x0, (1:num_para)']; 


%% Use FMINCON

% Add non-negativity constraints.

A =[];
b = [];
Aeq = [];
beq = [];
lb = zeros(num_para,1);
% Unbounded
ub = inf*ones(num_para,1); 

% options = optimset('Display','iter','TolFun',1e-2,'TolX',1e-4,'Algorithm','interior-point');
% Start with the default options
options = optimset;
% Modify options setting
options = optimset(options,'Display', 'off');
options = optimset(options,'TolFun', 1e-4);
options = optimset(options,'TolX',1e-6);
options = optimset(options,'PlotFcns', {  @optimplotfunccount @optimplotfval @optimplotstepsize @optimplotx});
options = optimset(options,'Algorithm', 'interior-point');
options = optimset(options,'Diagnostics', 'on');

[xmode, fval, exitflag,output,lambda,grad,hess] = fmincon(@posterior_hess,x0,A,b,Aeq,beq,lb,ub,[],options);

save('hessmat','hess','xmode');

