function fprior = prior(x)

p = zeros(size(x,1),1);

% Mean = 0.1, stdev = 2
a = 2.0025;
b = 0.10025;

% Mean = 0.01, stdev = 2
c = 2.000025;
d = 0.01;

% Shock variances
j = 1;  

% 1. sig_r
p(j) =  -log(invgam_pdf(x(j),a,b));  
j = j + 1;

% 2. sig_a
p(j) = -log(invgam_pdf(x(j),2.25,1.25));  
j = j + 1;

% 3. sig_e
p(j) = -log(invgam_pdf(x(j),a,b)); 
j = j + 1;

% 4. sig_z
p(j) = -log(invgam_pdf(x(j),a,b));  
j = j + 1;

% 5. sig_target
p(j) = -log(invgam_pdf(x(j),a,b));  
j = j + 1;

% 6. sig_eta
p(j) = -log(invgam_pdf(x(j),a,b));  
j = j + 1;

% 7. mu
p(j) = -log(normpdf(x(j),1,0.5)); 
j = j + 1;

% Structural parameters 
% 8. rho_r
p(j) = -log(betapdf(x(j),5.065,5.065));
j = j + 1;

% 9. rho_pi 
p(j) = -log(normpdf(x(j),0.5,0.5)); 
j = j + 1;

% 10. rho_g
p(j) = -log(normpdf(x(j),0.2,0.2));
j = j + 1;

% 11. rho_pi_f
p(j) = -log(normpdf(x(j),0.5,0.5));
j = j + 1; 

% 12. rho_g_f
p(j) = -log(normpdf(x(j),0.2,0.2));
j = j + 1; 

% 13. rho_a
p(j) = -log(betapdf(x(j),5.065,5.065));
j = j + 1;

% 14. rho_e
p(j) = -log(betapdf(x(j),5.065,5.065));
j = j + 1;

% 15. rho_eta
p(j) = -log(betapdf(x(j),5.065,5.065));
j = j + 1;

% 16. rho_target
p(j) = -log(betapdf(x(j),5.065,5.065));
j = j + 1;

% 17. g_ss
p(j) = -log(unifpdf(x(j),0,2));
j = j + 1;

% 18. ppi_ss
p(j) = -log(unifpdf(x(j),0,2));
j = j + 1;

% 19. ppi_ss_f
p(j) = -log(unifpdf(x(j),0,2));

fprior = sum(p);
