% Readme.m
%
% File describes the code that reproduces the results in Section 4.2 
%
% `Estimation and Solution of Models with Expectations and Structural Changes' 
%
% by Mariano Kulish and Adrian Pagan, Journal of Applied Econometrics 
%
%        

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% NOTE ON RUNNING THE CODE
%
% mcmc.m is the main file. If you are running the code from scratch,
% minPosterior.m must be run first to produce the Hessian that is used in
% the proposal density of the sampler in mcmc.m. 
% hessmat.mat contains the hessian (hess) and the mode (xmode). 
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% CDF_plots.m 
%
% Uses the posterior distribution of date breaks to construct plots of the 
% the cumulative density functions. 

% invgam_pdf.m
%
% Pdf of the Inverse Gamma distribution. 

% loglikeb.m
%
% Log Likelihood function.

% mcmc.m
%
% Is the main file that runs the chains for the structural parameters
% and date breaks. 

% minPosterior.m
% 
% finds the mode and computes the Hessian of posterior_hess.m
%
% these are stored in hessmat.mat

% posterior_hess.m
%
% Fixes the date breaks at a guess so as to allow computation of the Hessian 
% of the structural parameters. 

% posteriorB.m
% 
% Is the posterior distribution of the structural parameters and date
% breaks used by the sampler in mcmc.m

% postpriorplots.m
% 
% Computes the mode of the posterior and plots prior and posterior
% distributions. It is used by mcmc.m to report posterior modes.

% prior.m
% 
% Set the prior distribution of the structural parameters. 

% smatsbp.m
%
% Computes the rational expectations solution matrices for the system written 
% in the form of Binder and Pesaran. 

% usdata.m
%
% Contains the data used in estimation. 

